from fastapi import APIRouter
from .builds.router import build_endpoint_route
from .building_parts.router import parts_endpoint_route
from .areas.router import area_endpoint_route
from .living_space.router import living_space_endpoint_route


def get_routes() -> list[APIRouter]:
    return [build_endpoint_route, parts_endpoint_route, area_endpoint_route, living_space_endpoint_route]


def get_safe_endpoint_urls() -> list[tuple[str, str]]:
    return [
        ("/", "GET"),
        ("/docs", "GET"),
        ("/redoc", "GET"),
        ("/openapi.json", "GET"),
        ("/metrics", "GET"),
    ]
